<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="10dp"
        android:gravity="center_horizontal"
        android:orientation="vertical">
        <!--店铺信息配置 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="35dip"
                android:layout_gravity="center"
                android:background="@color/green_light"
                android:gravity="center"
                android:text="店铺信息配置"
                android:textColor="@color/white"
                android:textSize="@dimen/submit_text_size" />

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="#369FE5" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="店铺名称："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <EditText
                android:id="@+id/tv_dp_name"
                android:layout_width="440dp"
                android:layout_height="40dp"
                android:hint="请输入店铺名称"
                android:singleLine="true"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="店铺ID号："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <EditText
                android:id="@+id/tv_dp_id"
                android:layout_width="440dp"
                android:layout_height="40dp"
                android:hint="请输入店铺ID号"
                android:singleLine="true"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="店铺设备："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <EditText
                android:id="@+id/tv_dp_devid"
                android:layout_width="440dp"
                android:layout_height="40dp"
                android:hint="请输入店铺设备"
                android:singleLine="true"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="连接环境："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

<!--            <EditText-->
<!--                android:id="@+id/tv_cp_url"-->
<!--                android:layout_width="440dp"-->
<!--                android:layout_height="40dp"-->
<!--                android:hint="请输入经营管理系统地址"-->
<!--                android:singleLine="true"-->
<!--                android:textSize="@dimen/text_size" />-->
            <Spinner
                android:id="@+id/environment"
                android:layout_width="440dp"
                android:layout_height="wrap_content"
                android:entries="@array/com"
                android:spinnerMode="dropdown"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <!--称重区域连接端口配置 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="35dip"
                android:layout_gravity="center"
                android:background="@color/green_light"
                android:gravity="center"
                android:text="称重模块连接信息配置"
                android:textColor="@color/white"
                android:textSize="@dimen/submit_text_size" />

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="#369FE5" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="连接名称："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <Spinner
                android:id="@+id/tv_cp_com"
                android:layout_width="440dp"
                android:layout_height="wrap_content"
                android:entries="@array/com"
                android:spinnerMode="dropdown"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="连接端口："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <Spinner
                android:id="@+id/tv_cp_port"
                android:layout_width="440dp"
                android:layout_height="wrap_content"
                android:entries="@array/port"
                android:spinnerMode="dropdown"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <!--称重区域连接端口配置 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="35dip"
                android:layout_gravity="center"
                android:background="@color/green_light"
                android:gravity="center"
                android:text="餐盘感应区连接信息配置"
                android:textColor="@color/white"
                android:textSize="@dimen/submit_text_size" />

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="#369FE5" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="连接名称："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <Spinner
                android:id="@+id/tv_cpgy_com"
                android:layout_width="440dp"
                android:layout_height="wrap_content"
                android:entries="@array/com"
                android:spinnerMode="dropdown"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="连接端口："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <Spinner
                android:id="@+id/tv_cpgy_port"
                android:layout_width="440dp"
                android:layout_height="wrap_content"
                android:entries="@array/port"
                android:spinnerMode="dropdown"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="校验方式："
                android:textColor="#000"
                android:textSize="@dimen/text_size" />

            <Spinner
                android:id="@+id/tv_cpgy_jy"
                android:layout_width="440dp"
                android:layout_height="wrap_content"
                android:entries="@array/format"
                android:spinnerMode="dropdown"
                android:textSize="@dimen/text_size" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="35dip"
                android:layout_gravity="center"
                android:background="@color/green_light"
                android:gravity="center"
                android:text="称重台配置"
                android:textColor="@color/white"
                android:textSize="@dimen/submit_text_size" />

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="#369FE5" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="最小重量："
                    android:textColor="#000"
                    android:textSize="@dimen/text_size" />

                <EditText
                    android:id="@+id/et_min_weight"
                    android:layout_width="440dp"
                    android:layout_height="40dp"
                    android:hint="请输入最小计费重量"
                    android:inputType="number"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size" />
            </LinearLayout>

        </LinearLayout>


        <TextView
            android:id="@+id/parameter_save"
            android:layout_width="fill_parent"
            android:layout_height="48dp"
            android:layout_marginTop="20dp"
            android:background="@drawable/selector_renren_blue_button"
            android:gravity="center"
            android:text="保存"
            android:textColor="@color/white"
            android:textSize="@dimen/submit_text_size" />
    </LinearLayout>
</RelativeLayout>